Geoswift Platform
  1. Create a Transaction
  • Overview
  • Authentication
  • Settlement in ChinaMainland
    • Get Account Balance
      • Get Account
      • Get Account Balance
    • Transaction Declaration Filing
      • Submit Transaction Declarations (Batch)
      • Query Declaration Processing Result
      • File Download
    • Declaration Quota Query
      • Declaration Quota Query
    • Quotation
      • Inquiry Quotation
      • Confirm Quotation
      • Inquiry Quotation Detail
    • Create a Transaction
      • Create a Transaction
        POST
    • Transaction Query
      • Transaction Query-payment summary
    • Specification
      • Bank List
      • Province/City Code
  • About Us
  1. Create a Transaction

Create a Transaction

Developing
POST
/api/v1/payments

Request

Header Params

Body Params application/jsonRequired

Example
{
  "requestId": "req_20260312_abc123def456",
  "merchantReference": "mch_ref_20260312_7890",
  "requestTime": "2026-03-12T10:00:00Z",
  "transaction": {
    "paymentType": "REMITTANCE",
    "currency": "CNY",
    "amount": 1234.56,
    "purposeDescription": "payment_for_goods_online_trading",
    "remark": "Sample transaction for testing.",
    "fundsOriginCountry": "US"
  },
  "originator": {
    "type": "INDIVIDUAL",
    "name": {
      "fullName": "John Smith",
      "firstName": "John",
      "lastName": "Smith"
    },
    "identification": {
      "type": "OVERSEAS_PASSPORT",
      "number": "P98765432"
    },
    "address": {
      "country": "US",
      "city": "New York",
      "streetAddress": "456 Park Avenue",
      "postalCode": "10022"
    }
  },
  "beneficiary": {
    "type": "INDIVIDUAL",
    "name": {
      "fullName": "李四",
      "firstName": "四",
      "lastName": "李"
    },
    "identification": {
      "type": "IDENTITY_CARD",
      "number": "11010119900307XXXX"
    },
    "address": {
      "country": "CN",
      "city": "上海市",
      "streetAddress": "世纪大道1001号"
    },
    "bank": {
      "bankName": "中国建设银行",
      "bankCode": "CCB",
      "branchName": "上海陆家嘴支行",
      "country": "CN",
      "province": "上海市",
      "city": "上海市",
      "streetAddress": "世纪大道1001号"
    },
    "account": {
      "accountHolderName": "李四",
      "accountNumber": "621700XXXXXXXXXXXX",
      "currency": "CNY"
    }
  },
  "compliance": {
    "declarant": {
      "name": "李四",
      "idType": "IDENTITY_CARD",
      "idNumber": "11010119900307XXXX",
      "country": "CN",
      "relationship": "LEGAL_PERSON"
    },
    "kycLevel": null,
    "sanctionsScreening": true
  }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.geoaccount.com/api/v1/payments' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.xxxxx' \
--header 'GS-API-Key: gs_live_abc123def456789' \
--header 'GS-Timestamp: 1710000000' \
--header 'GS-Nonce: 9f8e7d6c5b4a3210' \
--header 'GS-Signature: dGhpcyBpcyBhIGZha2Ugc2lnbmF0dXJlCg==' \
--header 'Idempotency-Key: a1b2c3d4-e5f6-7890-g1h2-i3j4k5l6m7n8' \
--header 'Content-Type: application/json' \
--data-raw '{
  "requestId": "req_20260312_abc123def456",
  "merchantReference": "mch_ref_20260312_7890",
  "requestTime": "2026-03-12T10:00:00Z",
  "transaction": {
    "paymentType": "REMITTANCE",
    "currency": "CNY",
    "amount": 1234.56,
    "purposeDescription": "payment_for_goods_online_trading",
    "remark": "Sample transaction for testing.",
    "fundsOriginCountry": "US"
  },
  "originator": {
    "type": "INDIVIDUAL",
    "name": {
      "fullName": "John Smith",
      "firstName": "John",
      "lastName": "Smith"
    },
    "identification": {
      "type": "OVERSEAS_PASSPORT",
      "number": "P98765432"
    },
    "address": {
      "country": "US",
      "city": "New York",
      "streetAddress": "456 Park Avenue",
      "postalCode": "10022"
    }
  },
  "beneficiary": {
    "type": "INDIVIDUAL",
    "name": {
      "fullName": "李四",
      "firstName": "四",
      "lastName": "李"
    },
    "identification": {
      "type": "IDENTITY_CARD",
      "number": "11010119900307XXXX"
    },
    "address": {
      "country": "CN",
      "city": "上海市",
      "streetAddress": "世纪大道1001号"
    },
    "bank": {
      "bankName": "中国建设银行",
      "bankCode": "CCB",
      "branchName": "上海陆家嘴支行",
      "country": "CN",
      "province": "上海市",
      "city": "上海市",
      "streetAddress": "世纪大道1001号"
    },
    "account": {
      "accountHolderName": "李四",
      "accountNumber": "621700XXXXXXXXXXXX",
      "currency": "CNY"
    }
  },
  "compliance": {
    "declarant": {
      "name": "李四",
      "idType": "IDENTITY_CARD",
      "idNumber": "11010119900307XXXX",
      "country": "CN",
      "relationship": "LEGAL_PERSON"
    },
    "kycLevel": null,
    "sanctionsScreening": true
  }
}'

Responses

🟢200Success
application/json
Body

Example
{
  "geoswiftReference": "pay_982374982734",
  "clientId": "6deedbbc-a33a-48bc-973e-94539a11db39",
  "merchantReference": "202204160912005",
  "requestId": "req_1234567890abcdef1234567890abcdef",
  "status": "PROCESSING",
  "transaction": {
    "currency": "CNY",
    "amount": 100.50,
    "purposeDescription": "payment_for_goods_online_trading"
  },
  "beneficiary": {
    "type": "INDIVIDUAL",
    "name": "张三",
    "country": "CN",
    "bankName": "中国工商银行"
  }
}
Modified at 2026-03-27 07:26:20
Previous
Create a Transaction
Next
Transaction Query-payment summary
Built with